Subject: Re: [PATCHv3 net-next 3/4] sctp: add support for generating stream reconf add incoming/outgoing streams request chunk

From: [email-masked]
Date: Mon, 23 Jan 2017 14:14:58 -0200

On Mon, Jan 23, 2017 at 11:00:47AM -0500, David Miller wrote:
> From: "'Marcelo Ricardo Leitner'" <[email-masked]>
> Date: Mon, 23 Jan 2017 10:36:28 -0200
> 
> > So, no padding. A field just after the other, which is what we want on a
> > network header.
> 
> It isn't necessary!
> 
> Show me a case where it is required when you use properly fixed sized
> types and a proper ordering of the struct members.  No padding is
> going in there, go and check.
> 
> Do we splatter __packed all over our ipv4/ipv6 header, TCP header, UDP
> header, etc. structures?  No, we don't because it's totally unecessary.

Err, sure, right.

> 
> I will not accept __packed being used unless it is absolutely, provably,
> the only way to solve a particular problem.  And when that does happen,
> I am going to require a huge comment explaining in detail why this is
> the case, and why no other approach or solution solved the problem.

Would this be a candidate for checkpatch.pl?

  Marcelo